Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.6 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

OCSInventoryServer 2.6 Issue SOLVED. [closed]

EDITED: Solved re-executing the setup.sh script.

Hi to everyone,

We've just upgrade our server ocs to versión 2.6 from 2.4 and now we got this error on Windows clients with agent 2.6, agent 2.4 work fine.

I've been googling and looking on this site but unfortunately I haven't found nothing for our problem.

Server information

Sistema Operativo

  • Nombre del SO :Linux x86_64
  • Versión :4.9.0-11-amd64
  • RAM installed :3956 MB
  • Free RAM :3415 MB
  • CPU :Intel(R) Xeon(R) CPU E5-2640 0 @ 2.50GHz
  • Distribution :Debian GNU/Linux 9 (stretch)

Software

  • PHP Version :7.0.33
  • Web Server :Apache/2.4.25 (Debian)
  • Database Server :MySQL Community Server (GPL) version 5.6.45
  • Versión OCSReports:2.6

server activity.log

OCS-NG_WINDOWS_AGENT_v2.6.0.0;useragent;Bad agent or agent version too recent for server !!
OCS-NG_WINDOWS_AGENT_v2.6.0.0;prolog;stopped by module
OCS-NG_WINDOWS_AGENT_v2.6.0.0;end;bad_request

on agent side

COM SERVER => Sending HTTP Post request to URL <https://ocsng.domain.es/ocsinventory>
 COM SERVER => HTTP Post response received <HTTP Status Code #400>
 COM SERVER => Cleaning cURL library
ERROR *** AGENT => Failed to send Prolog <HTTP Status Code #400>

Any clue?

Thanks in advance.

closed with the note: Problem solved by rexecuting the installation (setup.sh)
in OCS Inventory NG server for Unix by (160 points)
closed by

2 Answers

0 votes

It appears that your upgrade wasn't completed. "ERROR *** AGENT => Failed to send Prolog <HTTP Status Code #400", this error is because the server is out of date. When you boot up the server do you see any error messages in red? In addition, did you receive any errors when you were upgrading from 2.4 to 2.6? 

.

by (860 points)
edited by
0 votes
Hi to everyone,

And thanks james for your reply, you're right yesterday looking on some files on my server I realized that there were two "Ocsinventory.pm" one in /usr/local/share/… (ver2.4) and other on /usr/src/.. in 2.5. but I never got any error from the setup script. Any way I'm now reinstalling, hope everything goes better now.

Regards.
by (160 points)
edited by
 
Powered by Question2Answer
...